"use strict";
function init(parser) {
    parser.on('tag:close', validate);
}
function validate(event, report) {
    if (typeof event.target === 'undefined') {
        report(event.previous, `Missing close-tag, expected '</${event.previous.tagName}>' but document ended before it was found.`);
        return;
    }
    if (typeof event.previous === 'undefined') {
        report(event.previous, "Unexpected close-tag, expected opening tag.");
        return;
    }
    if (event.target.selfClosed || event.target.voidElement) {
        return;
    }
    if (event.target.tagName !== event.previous.tagName) {
        report(event.target, `Mismatched close-tag, expected '</${event.previous.tagName}>' but found '</${event.target.tagName}>'.`, event.target.location);
    }
}
module.exports = {
    name: 'close-order',
    init,
};
