"use strict";
function init(parser) {
    let target = null;
    let attr = {};
    parser.on('tag:open', (event) => {
        target = event.target;
        attr = {};
    });
    parser.on('attr', (event, report) => {
        if (target === null)
            return;
        if (event.key in attr) {
            report(event.target, `Attribute "${event.key}" duplicated`);
        }
        attr[event.key] = true;
    });
}
module.exports = {
    name: 'no-dup-attr',
    init,
};
