"use strict";
function init(parser) {
    parser.on('tag:open', (event, report) => {
        const node = event.target;
        if (node.meta === null) {
            return;
        }
        if (node.voidElement && node.selfClosed === false) {
            report(node, `End tag for <${node.tagName}> must be omitted`);
        }
        if (node.selfClosed && node.voidElement === false) {
            report(node, `End tag for <${node.tagName}> must not be omitted`);
        }
    });
}
module.exports = {
    name: 'void',
    init,
};
